RotateStrategyByTime (LogKit API)
Keywords: org.apache.log.output.io.rotate.RotateStrategyByTime,RotateStrategyByTime class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.io.rotate
Class RotateStrategyByTime

    java.lang.Object
      |
      +--org.apache.log.output.io.rotate.RotateStrategyByTime

All Implemented Interfaces:
  RotateStrategy

public class RotateStrategyByTime
extends Object
implements RotateStrategy

rotation stragety based when log writting started.

Author:
  Bernhard Huber

Constructor Summary
`RotateStrategyByTime()` Rotate logs by time.
`RotateStrategyByTime(long timeInterval)` Rotate logs by time.

Method Summary
`boolean` | `isRotationNeeded(String data, File file)` Check if now a log rotation is neccessary.
`void` | `reset()` reset interval history counters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RotateStrategyByTime

    public RotateStrategyByTime()

  Rotate logs by time. By default do log rotation every 24 hours

### RotateStrategyByTime

    public RotateStrategyByTime(long timeInterval)

  Rotate logs by time.

Parameters:
  `timeInterval` - rotate before time-interval [ms] has expired

Method Detail

### reset

    public void reset()

  reset interval history counters.

  Specified by:
    `reset` in interface `RotateStrategy`

### isRotationNeeded

    public boolean isRotationNeeded(String data,
                                    File file)

  Check if now a log rotation is neccessary. If `(current_time - m_startingTime) / m_timeInterval > m_currentRotation` rotation is needed.

  Specified by:
    `isRotationNeeded` in interface `RotateStrategy`
  Parameters:
    `data` - the last message written to the log system
    `file` - not used
  Returns:
    boolean return true if log rotation is neccessary, else false

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.